%define major     2
%define libname   %mklibname ldac %{major}
%define develname %mklibname ldac -d

%define upname  ldacBT

Name:           libldac
Version:        2.0.2.3
Release:        %mkrel 1
Summary:        A lossy audio codec for Bluetooth connections
License:        ASL 2.0
Group:          System/Libraries
URL:            https://github.com/EHfive/ldacBT
Source0:        https://github.com/EHfive/ldacBT/releases/download/v%{version}/%{upname}-%{version}.tar.xz
BuildRequires:  cmake

%description
LDAC is an audio coding technology developed by Sony.
It enables the transmission of High-Resolution Audio content,
even over a Bluetooth connection.

%package -n     %{libname}
Summary:        A lossy audio codec for Bluetooth connections
Group:          System/Libraries

%description -n %{libname}
LDAC is an audio coding technology developed by Sony.
It enables the transmission of High-Resolution Audio content,
even over a Bluetooth connection.

%package -n     %{develname}
Summary:        Development files for %{upname}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       ldacbt-devel = %{version}-%{release}
Provides:       %{upname}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{upname}.

%prep
%setup -qn %{upname}
%apply_patches

%build
%cmake \
	-DBUILD_STATIC_LIBS=OFF \
	-DLDAC_SOFT_FLOAT=OFF \
	-DINSTALL_LIBDIR=%{_libdir}
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%files -n %{libname}
%{_libdir}/libldacBT_abr.so.%{major}*
%{_libdir}/libldacBT_enc.so.%{major}*

%files -n %{develname}
%dir %{_includedir}/ldac
%{_includedir}/ldac/ldacBT_abr.h
%{_includedir}/ldac/ldacBT.h
%{_libdir}/libldacBT_abr.so
%{_libdir}/libldacBT_enc.so
%{_libdir}/pkgconfig/ldacBT-abr.pc
%{_libdir}/pkgconfig/ldacBT-enc.pc


%changelog
* Mon Jul 17 2023 tex - 2.0.2.3-1pclos2023
- create pkg for pipewire
